function drop(name, n, txt){
	var table = 	'<TABLE width=100%><TD><IMG src="i/items/'+name+
			'.gif"></TD><TD>Предмет <NOBR><B>\''+txt+'\'</B></NOBR> будет утерян, вы уверены ?</TABLE>'+
 (!specialscript?'<input type=checkbox name="dropall" value="'+txt+'"><SMALL> Все предметы этого вида</SMALL>':'')+
	'<INPUT type=hidden name=drop value="'+name+'"><INPUT type=hidden name=n value="'+n+'"><INPUT type=hidden name=sd4 value="' + sd4+'">';
window.clipboardData.setData('Text', table);
	dialogconfirm('Выбросить предмет?', (specialscript?specialscript:'main.pl'),table);
}

function kmp(){
	document.all("hint4").innerHTML = '<table width=400 cellspacing=1 cellpadding=0 bgcolor=CCC3AA><tr><td align=center><B>Запомнить комплект одежды</td><td width=20 align=right valign=top style="cursor: hand" onclick="closehint3();"><BIG><B>x</td></tr><tr><td colspan=2>'+
	'<table width=100% cellspacing=0 cellpadding=5 bgcolor=FFF6DD><tr><form action="/inventory.pl" method=POST><td>Запомнить надетый комплект одежды, для быстрого переодевания. Подробнее об этой функции читайте в разделе <A HREF="/encicl/help/invent.html" target="help">Подсказка</A>.<BR>'+
	'Введите название комплекта: <INPUT TYPE=text NAME=savekmp maxlength=30></TD></TR><TR><TD align=center><INPUT TYPE=submit value="Запомнить"></TD></TR></FORM></TABLE></td></tr></table>';
	document.all("hint4").style.visibility = "visible";
	document.all("hint4").style.left = 100;
	document.all("hint4").style.top = 100;
	document.all("savekmp").focus();
}

function DrawBar(title, id, flags, link_text, link){
  // alert(title + document);
  var s ='<table width="100%" border=0 cellspacing=0 cellpadding=1 background="i/icon/back.gif">' +
         '<tr><td valign=top>';
  var sz = 11, num = 1;
  var rnd = Math.random();
  s += '<a name="bar__'+id+'" href="?bar='+id+'&a=explore&is_open='+(1-(flags & 1))+'#bar_'+id+'">';
  if (flags & 1) {
    s+= '<img width='+sz+' height=9 alt="Скрыть" border=0 src="i/icon/'+num+'minus.gif">';
  } else {
    s+= '<img width='+sz+' height=9 alt="Показать" border=0 src="i/icon/'+num+'plus.gif">'; 
  }
  s += '</a> </td>';
  s += '<td>&nbsp;</td><td bgcolor="#e2e0e0"><small>&nbsp;<b>'+title+':<b>&nbsp;</small></td>';
  if (link_text){
     s += '<td>&nbsp;</td><td bgcolor="#e2e0e0"><small>&nbsp;<a href="'+link+'">'+link_text+'</a>&nbsp;</small></td>';
  }
  s += '<td align=right valign=top width="100%">';
  if (!(flags&2)){
     s += '<a href="?bar='+id+'&a=up#bar_'+id+'"><img border=0 width='+sz+' height=9 alt="Поднять блок наверх" src="i/icon/'+num+'up.gif"></a>';
  } else {
	s+= '<img border=0 width='+sz+' height=9 alt="" src="i/icon/'+num+'up-grey.gif">';
  }
  if (!(flags&4)){
  	s += '<a href="?bar='+id+'&a=down#bar_'+id+'"><img border=0 width='+sz+' height=9 alt="Опустить блок вниз" src="i/icon/'+num+'down.gif"></a>';
  } else {
  	s+= '<img border=0 width='+sz+' height=9 alt="" src="i/icon/'+num+'down-grey.gif">';
  }
  s += ' </td>';
  s += '</tr></table>';
  // window.clipboardData.setData('Text', s);
  document.writeln(s);
}
